<?php

namespace Drupal\synimport\Service;

use Drupal\Core\Config\FileStorage;

/**
 * Block import class.
 *
 * @internal
 *   For internal usage by the synimport module.
 */
class Block {
  /**
   * Logger variable.
   *
   * @var Logger
   */
  protected $log;

  /**
   * CreateEntity Service variable.
   *
   * @var CreateEntity
   */
  protected $createEntity;

  /**
   * Service constructor.
   *
   * @param CreateEntity $createEntity
   */
  public function __construct(CreateEntity $createEntity) {
    $this->createEntity = $createEntity;
  }

  /**
   * {@inheritdoc}
   */
  public function setLogger(Logger $log) {
    $this->log = $log;
  }

  /**
   * Import Blocks.
   */
  public function import(string $directory) {
    $sourceBlock = new FileStorage($directory);
    foreach ($sourceBlock->listAll() as $file) {
      $block_array = $sourceBlock->read($file);
      $node = $this->createEntity->create($block_array, 'block_content');
    }
  }

}
